Q's about the January Softare Update *please answer*

Discussion in 'iPod touch' started by swillard8, Jan 16, 2008.

  1. swillard8

    swillard8 New Member

    Joined:
    Jan 6, 2008
    Messages:
    1,307
    Likes Received:
    11
    Hi im UK so i probs wont get an answer or a while, but i just read in itunes about the january softwares and as i am a sucker for anything ipod related i restored my ipod to 1.1.3. WELL, you may huff and puff at that but i wanted to try em out. And now i just went back to the itunes page where it says 'please check for updates and sync before buying' i have syced and updated to 1.1.3 ans it says no new updates. Problem?

    ANOTHER Q: WTF just read at side of page, sys req. U NEED OSX! WTF is that serious, im on xp sp2! so they cutting me out? will it work with me?!

    please get back, thanks for reading this ipod lovers rant.

Share This Page